[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.UpdateRecord

Indicate that the record contents have changed

## Declaration

Source position: db.pas line 1596

`public procedure TDataSet.UpdateRecord;`

## Description

UpdateRecord notifies controls that the contents of the current record have changed. It triggers the event. This should never be called by application code, and is intended only for descendents of TDataset.

## See also

OnUpdateRecord

The latest version of this document can be found at lazarus-ccr.sourceforge.net .